<div class="search-bar">
  <div class="field">

    <div class="control research-input" [ngClass]="{'has-icons-right': searchValue}">
      <input type="text" class="input is-medium" [(ngModel)]="searchValue" #inputSearch
        [placeholder]="geosource.placeholders.address" title="Research one address" i18n-title="@@research.address"
        (keyup)="keyUpChanged($event.key)" (blur)="displayAutocomplete = false; currentAutocompleteFocus= -1;"
        (focus)="displayAutocompleteList()" />
      <span class="icon is-small is-right reset-research-icon" *ngIf="searchValue" (click)="resetResearch()">
        <span class="fas fa-times-circle"></span>
      </span>
      <div class="autocomplete-items" *ngIf="autocompleteIsValid"
        [ngStyle]="{'display': displayAutocomplete ? 'block' : 'none'}">
        <p *ngFor="let option of optionsAutocomplete; let i = index" (mousedown)="selectOption(option)"
          [ngClass]="{'isActive' : i == currentAutocompleteFocus}" [innerHTML]="option.caption">

        </p>
      </div>
    </div>
  </div>

</div>
